! Copyright (C) GFD Dennou Club, 2000.  All rights reserved.

module gtvarsearch
    use an_types, only: AN_VARIABLE_SEARCH
    type(AN_VARIABLE_SEARCH), save:: an
end module

subroutine GTVarSearchInit(urlBase)
    use dc_string, only: VSTRING
    use an_generic, only: var_search
    use gtvarsearch
    type(VSTRING), intent(in):: urlBase
    call var_search(an, urlBase=urlBase)
end subroutine

subroutine GTVarSearchNext(url, end)
    use dc_string, only: VSTRING
    use an_generic, only: var_search
    use gtvarsearch
    type(VSTRING), intent(out):: url
    logical, intent(out):: end
    call var_search(an, url=url, end=end)
end subroutine
